[tox]
envlist =
    {cli, neural}-{pypy36, py36, py37, py38, py39}
skipsdist =
    True

[testenv]
basepython =
    pypy36: pypy3
    py36: python3.6
    py37: python3.7
    py38: python3.8
    py39: python3.9
commands =
    cli: pytest --verbose --cov=pfasdr/cli --cov-branch -- test/pfasdr/cli
    # neural-pypy36: pytest --verbose --cov=pfasdr/neural --cov-branch -- test/pfasdr/neural
    neural-py36: pytest --verbose --cov=pfasdr/neural --cov-branch -- test/pfasdr/neural
    neural-py37: pytest --verbose --cov=pfasdr/neural --cov-branch -- test/pfasdr/neural
    neural-py38: pytest --verbose --cov=pfasdr/neural --cov-branch -- test/pfasdr/neural
    neural-py39: pytest --verbose --cov=pfasdr/neural --cov-branch -- test/pfasdr/neural
deps =
    cli: -rrequirements.d/cli.txt
    # neural-pypy36: -rrequirements.d/neural.txt
    neural-py36: -rrequirements.d/neural.txt
    neural-py37: -rrequirements.d/neural.txt
    neural-py38: -rrequirements.d/neural.txt
    neural-py39: -rrequirements.d/neural.txt
usedevelop =
    False
